⚠️ This documentation is not complete and will change. Documentation and API References are actively being updated.
curl --request GET \
--url https://api.propops.app/api/users/users \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Operation completed successfully",
"data": {
"ID": 1,
"uuid": "660e8400-e29b-41d4-a716-446655440001",
"first_name": "User_001",
"last_name": "Surname_001",
"email": "user001@example.com",
"phone": "07700000001",
"account_type_id": 1,
"account_type_name": "Staff",
"account_status_id": 1,
"account_status_name": "Active",
"branch_id": 1,
"role_id": 2,
"created_at": "2024-01-01T09:00:00Z"
},
"count": 25
}Retrieve users with optional filters, or fetch a specific user.
Required permission: api.users.users.manage
curl --request GET \
--url https://api.propops.app/api/users/users \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Operation completed successfully",
"data": {
"ID": 1,
"uuid": "660e8400-e29b-41d4-a716-446655440001",
"first_name": "User_001",
"last_name": "Surname_001",
"email": "user001@example.com",
"phone": "07700000001",
"account_type_id": 1,
"account_type_name": "Staff",
"account_status_id": 1,
"account_status_name": "Active",
"branch_id": 1,
"role_id": 2,
"created_at": "2024-01-01T09:00:00Z"
},
"count": 25
}All API requests must include a valid Bearer token in the Authorization header.
Tokens are 64-character SHA-256 session hashes issued by the PropOps authentication system.
Example:
Authorization: Bearer a1b2c3d4e5f6...get_all_users, get_user, search, get_account_types, get_account_statuses, get_active_sessions, get_user_sessions, get_audit_log, get_password_breach_status, health_check "User_001"
1
Maximum number of records to return (default 50, max 200).
1 <= x <= 200Number of records to skip for pagination.
x >= 0